import request from "@/utils/request";

export function login(data) {
  return request({
    url: "/ecloud-user-center/web/lgin/userLgin",
    method: "post",
    data
  });
}

export function getInfo(token) {
  return request({
    url: "/ecloud-user-center/web/lgin/getUserRoleInfo",
    method: "get",
    params: { token }
  });
}

// 忘记密码获取短信验证码
export function forgetpaSms(data) {
  return request({
    url: "/ecloud-user-center/web/pwd/pwdSendSms"+data,
    method: "get",
  });
}
// 忘记密码
export function forgetpass(data) {
  return request({
    url: "/ecloud-user-center/web/pwd/forgetPwd",
    method: "post",
    data
  });
}